org.eclipse.mat.internal.collectionextract

## Class ConcurrentSkipListSetCollectionExtractor

- java.lang.Object
- - org.eclipse.mat.internal.collectionextract.MapCollectionExtractorBase
  - - org.eclipse.mat.internal.collectionextract.HashedMapCollectionExtractorBase
    - - org.eclipse.mat.internal.collectionextract.ConcurrentSkipListCollectionExtractor
      - - org.eclipse.mat.internal.collectionextract.ConcurrentSkipListSetCollectionExtractor

All Implemented Interfaces:
  ICollectionExtractor, IMapExtractor

    public class ConcurrentSkipListSetCollectionExtractor
    extends ConcurrentSkipListCollectionExtractor

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.mat.inspections.collectionextract.IMapExtractor

`IMapExtractor.EntryObject`

### Constructor Summary

Constructors
Constructor and Description
`ConcurrentSkipListSetCollectionExtractor(String arrayField, String keyField, String valueField)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int[]` `extractEntryIds(IObject coll)` Returns the object ids (int) for all objects which are contained in the collection

### Methods inherited from class org.eclipse.mat.internal.collectionextract.ConcurrentSkipListCollectionExtractor

`extractEntries, getCapacity, getCollisionRatio, getFillRatio, getNumberOfNotNullElements, getSize, hasCapacity, hasExtractableArray, hasExtractableContents, hasFillRatio, hasSize`

### Methods inherited from class org.eclipse.mat.internal.collectionextract.HashedMapCollectionExtractorBase

`hasCollisionRatio`

### Methods inherited from class org.eclipse.mat.internal.collectionextract.MapCollectionExtractorBase

`extractMapEntries`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConcurrentSkipListSetCollectionExtractor

    public ConcurrentSkipListSetCollectionExtractor(String arrayField,
                                                    String keyField,
                                                    String valueField)

### Method Detail

#### extractEntryIds

    public int[] extractEntryIds(IObject coll)
                          throws SnapshotException

Description copied from interface: `ICollectionExtractor`
Returns the object ids (int) for all objects which are contained in the collection

Specified by:
  `extractEntryIds` in interface `ICollectionExtractor`
Overrides:
  `extractEntryIds` in class `ConcurrentSkipListCollectionExtractor`
Returns:
Throws:
  `SnapshotException`